All of lore.kernel.org
 help / color / mirror / Atom feed
From: Xiong Zhou <xzhou@redhat.com>
To: fstests@vger.kernel.org
Cc: linux-unionfs@vger.kernel.org, mszeredi@redhat.com,
	Xiong Zhou <xzhou@redhat.com>
Subject: [xfstests v4 2/8] overlay: work dir in overlay inherits no ACLs
Date: Thu, 23 Feb 2017 17:42:40 +0800	[thread overview]
Message-ID: <1487842966-30986-3-git-send-email-xzhou@redhat.com> (raw)
In-Reply-To: <1487842966-30986-1-git-send-email-xzhou@redhat.com>

They should be cleaned while mounting overlayfs.

CC: Miklos Szeredi <mszeredi@redhat.com>
Signed-off-by: Xiong Zhou <xzhou@redhat.com>
---
 tests/overlay/023     | 79 +++++++++++++++++++++++++++++++++++++++++++++++++++
 tests/overlay/023.out |  8 ++++++
 tests/overlay/group   |  1 +
 3 files changed, 88 insertions(+)
 create mode 100755 tests/overlay/023
 create mode 100644 tests/overlay/023.out

diff --git a/tests/overlay/023 b/tests/overlay/023
new file mode 100755
index 0000000..0d0da93
--- /dev/null
+++ b/tests/overlay/023
@@ -0,0 +1,79 @@
+#! /bin/bash
+# FS QA Test 023
+#
+# The "work" directory in an overlyfs workdir should not inherit
+# ACL attrs from workdir.
+# Kernel commits below fix it.
+#   c11b9fdd6a61 ovl: remove posix_acl_default from workdir
+#   e1ff3dd1ae52 ovl: fix workdir creation
+#
+# This reproducer was originally written by
+#     Miklos Szeredi <mszeredi@redhat.com>
+#
+#-----------------------------------------------------------------------
+# Copyright (c) 2017 Red Hat Inc.  All Rights Reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License as
+# published by the Free Software Foundation.
+#
+# This program is distributed in the hope that it would be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write the Free Software Foundation,
+# Inc.,  51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+#-----------------------------------------------------------------------
+#
+
+seq=`basename $0`
+seqres=$RESULT_DIR/$seq
+echo "QA output created by $seq"
+
+here=`pwd`
+tmp=/tmp/$$
+status=1	# failure is the default!
+trap "_cleanup; exit \$status" 0 1 2 3 15
+
+_cleanup()
+{
+	cd /
+	rm -f $tmp.*
+}
+
+# get standard environment, filters and checks
+. ./common/rc
+. ./common/filter
+. ./common/attr
+
+# remove previous $seqres.full before test
+rm -f $seqres.full
+
+# real QA test starts here
+
+# Modify as appropriate.
+_supported_fs overlay
+_supported_os Linux
+_require_acls
+_require_scratch
+
+# Remove all files from previous tests
+_scratch_mkfs
+
+# setting acls before mount
+wkdir=$SCRATCH_DEV/$OVERLAY_WORK_DIR
+mkdir -p $wkdir
+setfacl -d -m o::rwx $wkdir
+
+_scratch_mount
+
+# getting acls and doing a non-common filter,
+# since getfacl will remove leading / from absolute
+# path names.
+getfacl -p $wkdir/work 2>&1 | _filter_scratch
+
+# success, all done
+status=0
+exit
diff --git a/tests/overlay/023.out b/tests/overlay/023.out
new file mode 100644
index 0000000..a1a3c37
--- /dev/null
+++ b/tests/overlay/023.out
@@ -0,0 +1,8 @@
+QA output created by 023
+# file: SCRATCH_DEV/work/work
+# owner: root
+# group: root
+user::---
+group::---
+other::---
+
diff --git a/tests/overlay/group b/tests/overlay/group
index 45768f5..09da1be 100644
--- a/tests/overlay/group
+++ b/tests/overlay/group
@@ -25,3 +25,4 @@
 020 auto quick copyup perms
 021 auto quick copyup
 022 auto quick
+023 auto quick attr
-- 
1.8.3.1

  parent reply	other threads:[~2017-02-23  9:42 UTC|newest]

Thread overview: 18+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-23  9:42 [xfstests v4 0/8] bunch of overlay tests Xiong Zhou
2017-02-23  9:42 ` [xfstests v4 1/8] overlay: disallow overlayfs as upperdir Xiong Zhou
2017-02-23  9:42 ` Xiong Zhou [this message]
2017-02-23 10:44   ` [xfstests v4 2/8] overlay: work dir in overlay inherits no ACLs Eryu Guan
2017-02-23  9:42 ` [xfstests v4 3/8] overlay: test workdir cleanup in mounting Xiong Zhou
2017-02-23  9:42 ` [xfstests v4 4/8] overlay: permission check with cached acls in tmpfs Xiong Zhou
2017-02-23 10:52   ` Eryu Guan
2017-02-23 12:49     ` Xiong Zhou
2017-02-23  9:42 ` [xfstests v4 5/8] overlay: filter out xattr starts with "trusted.overlay." Xiong Zhou
2017-02-23  9:42 ` [xfstests v4 6/8] overlay: can not change underlying immutable file Xiong Zhou
2017-04-04 11:19   ` Amir Goldstein
2017-04-04 16:31     ` Amir Goldstein
2017-04-05  2:25       ` Xiong Zhou
2017-04-05  2:50       ` Eryu Guan
2017-04-05 10:52         ` Amir Goldstein
2017-02-23  9:42 ` [xfstests v4 7/8] overlay: test flock after copied up Xiong Zhou
2017-02-23  9:42 ` [xfstests v4 8/8] overlay: accessing stacked overlayfs files Xiong Zhou
2017-03-03  8:19   ` Amir Goldstein

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1487842966-30986-3-git-send-email-xzhou@redhat.com \
    --to=xzhou@redhat.com \
    --cc=fstests@vger.kernel.org \
    --cc=linux-unionfs@vger.kernel.org \
    --cc=mszeredi@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.